<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Jun 13 10:56:16 CEST 2011 -->
<TITLE>
StateList
</TITLE>

<META NAME="date" CONTENT="2011-06-13">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="StateList";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../SysEquLin/EquLinNome.html" title="class in SysEquLin"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../SysEquLin/StateListBase.html" title="class in SysEquLin"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?SysEquLin/StateList.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="StateList.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
SysEquLin</FONT>
<BR>
Class StateList</H2>
<PRE>
java.lang.Object
  <IMG SRC="../resources/inherit.gif" ALT="extended by "><B>SysEquLin.StateList</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>StateList</B><DT>extends java.lang.Object</DL>
</PRE>

<P>
Lists all the states of the system.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#StateList()">StateList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an empty states list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#StateList(java.lang.String)">StateList</A></B>(java.lang.String&nbsp;slist)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created states list with a string object
 containing all the state.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#StateList(java.lang.String, char)">StateList</A></B>(java.lang.String&nbsp;slist,
          char&nbsp;sep)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created states list with a string object
 containing all the state.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#add(java.lang.String)">add</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds a state into the list (define the value automatically).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#exist(int)">exist</A></B>(int&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Allows to know if a state is already define in the list or not
 (search by value).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#exist(java.lang.String)">exist</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Allows to know if a state is already define in the list or not
 (search by name).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#fromString(java.lang.String, char)">fromString</A></B>(java.lang.String&nbsp;slist,
           char&nbsp;sep)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the state list from a string object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#getName(int)">getName</A></B>(int&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the state name by it's id.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#getState(java.lang.String)">getState</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets a state by name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#getState(java.lang.String, boolean)">getState</A></B>(java.lang.String&nbsp;name,
         boolean&nbsp;autoadd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets a state by name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#getStateA(java.lang.String)">getStateA</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets a state by name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#size()">size</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the size of the list (number of elements).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representing this state list with a comma
 as separator character.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#toString(java.lang.String)">toString</A></B>(java.lang.String&nbsp;sep)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representing this state list with an
 user defined separator character.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../SysEquLin/StateList.html#toStringList()">toStringList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representing this state list with a line feed
 as separator character.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="StateList()"><!-- --></A><H3>
StateList</H3>
<PRE>
public <B>StateList</B>()</PRE>
<DL>
<DD>Creates an empty states list.
<P>
</DL>
<HR>

<A NAME="StateList(java.lang.String, char)"><!-- --></A><H3>
StateList</H3>
<PRE>
public <B>StateList</B>(java.lang.String&nbsp;slist,
                 char&nbsp;sep)
          throws <A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin">StateListException</A></PRE>
<DL>
<DD>Initializes a newly created states list with a string object
 containing all the state.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>slist</CODE> - string object containing the states list separated by
        the sep character.<DD><CODE>sep</CODE> - separator character. May be, for example : ',' ';'
<DT><B>Throws:</B>
<DD><CODE><A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin">StateListException</A></CODE> - if one or more state have a bad name.<DT><B>See Also:</B><DD><A HREF="../SysEquLin/StateList.html#fromString(java.lang.String, char)"><CODE>fromString(String slist, char sep)</CODE></A></DL>
</DL>
<HR>

<A NAME="StateList(java.lang.String)"><!-- --></A><H3>
StateList</H3>
<PRE>
public <B>StateList</B>(java.lang.String&nbsp;slist)
          throws <A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin">StateListException</A></PRE>
<DL>
<DD>Initializes a newly created states list with a string object
 containing all the state.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>slist</CODE> - string object containing the states list separated by
        a comma.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin">StateListException</A></CODE> - if one or more state have a bad name.<DT><B>See Also:</B><DD><A HREF="../SysEquLin/StateList.html#StateList(java.lang.String, char)"><CODE>StateList(String slist, char sep)</CODE></A></DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="size()"><!-- --></A><H3>
size</H3>
<PRE>
public int <B>size</B>()</PRE>
<DL>
<DD>Gets the size of the list (number of elements).
<P>
<DD><DL>

<DT><B>Returns:</B><DD>number of elements in the list.</DL>
</DD>
</DL>
<HR>

<A NAME="exist(java.lang.String)"><!-- --></A><H3>
exist</H3>
<PRE>
public boolean <B>exist</B>(java.lang.String&nbsp;name)</PRE>
<DL>
<DD>Allows to know if a state is already define in the list or not
 (search by name).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - name of the state.
<DT><B>Returns:</B><DD>true if the state already exist and else false.</DL>
</DD>
</DL>
<HR>

<A NAME="exist(int)"><!-- --></A><H3>
exist</H3>
<PRE>
public boolean <B>exist</B>(int&nbsp;state)</PRE>
<DL>
<DD>Allows to know if a state is already define in the list or not
 (search by value).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>state</CODE> - value of the state.
<DT><B>Returns:</B><DD>true if the state already exist and else false.</DL>
</DD>
</DL>
<HR>

<A NAME="add(java.lang.String)"><!-- --></A><H3>
add</H3>
<PRE>
public boolean <B>add</B>(java.lang.String&nbsp;name)
            throws <A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin">StateListException</A></PRE>
<DL>
<DD>Adds a state into the list (define the value automatically).
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - state name.
<DT><B>Returns:</B><DD>false if the state already exist (the state is not added)
        and else true.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin">StateListException</A></CODE> - if one or more state have a bad name.</DL>
</DD>
</DL>
<HR>

<A NAME="getState(java.lang.String, boolean)"><!-- --></A><H3>
getState</H3>
<PRE>
public int <B>getState</B>(java.lang.String&nbsp;name,
                    boolean&nbsp;autoadd)
             throws <A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin">StateListException</A></PRE>
<DL>
<DD>Gets a state by name. The 'autoadd' parameter allows to know if
 the state is added when it does not exist.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - state name.<DD><CODE>autoadd</CODE> - if autoadd is true the state is automatically added
        when it does not exist.
<DT><B>Returns:</B><DD>state number (or -1 if the state does not exist).
<DT><B>Throws:</B>
<DD><CODE><A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin">StateListException</A></CODE> - if the state have a bad name.</DL>
</DD>
</DL>
<HR>

<A NAME="getState(java.lang.String)"><!-- --></A><H3>
getState</H3>
<PRE>
public int <B>getState</B>(java.lang.String&nbsp;name)</PRE>
<DL>
<DD>Gets a state by name.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - state name.
<DT><B>Returns:</B><DD>state number (or -1 if the state does not exist).</DL>
</DD>
</DL>
<HR>

<A NAME="getStateA(java.lang.String)"><!-- --></A><H3>
getStateA</H3>
<PRE>
public int <B>getStateA</B>(java.lang.String&nbsp;name)
              throws <A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin">StateListException</A></PRE>
<DL>
<DD>Gets a state by name. The state is automatically added when it's
 does not exist.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - state name.
<DT><B>Returns:</B><DD>state number (or -1 if the state does not exist).
<DT><B>Throws:</B>
<DD><CODE><A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin">StateListException</A></CODE> - if the state have a bad name.</DL>
</DD>
</DL>
<HR>

<A NAME="getName(int)"><!-- --></A><H3>
getName</H3>
<PRE>
public java.lang.String <B>getName</B>(int&nbsp;state)</PRE>
<DL>
<DD>Gets the state name by it's id. Returns null if no state has this
 id.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>state</CODE> - state number.
<DT><B>Returns:</B><DD>state name.</DL>
</DD>
</DL>
<HR>

<A NAME="fromString(java.lang.String, char)"><!-- --></A><H3>
fromString</H3>
<PRE>
public void <B>fromString</B>(java.lang.String&nbsp;slist,
                       char&nbsp;sep)
                throws <A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin">StateListException</A></PRE>
<DL>
<DD>Gets the state list from a string object.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>slist</CODE> - string object containing the state list.<DD><CODE>sep</CODE> - separator character. For example : ',' ';' ':'.
        (Do not use special character !).
<DT><B>Throws:</B>
<DD><CODE><A HREF="../SysEquLin/StateListException.html" title="class in SysEquLin">StateListException</A></CODE> - if one or more state have a bad name.</DL>
</DD>
</DL>
<HR>

<A NAME="toString(java.lang.String)"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>(java.lang.String&nbsp;sep)</PRE>
<DL>
<DD>Returns a string object representing this state list with an
 user defined separator character.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>sep</CODE> - separator character.
<DT><B>Returns:</B><DD>string representation of this state list.</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD>Returns a string object representing this state list with a comma
 as separator character.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>java.lang.Object</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>string representation of this state list.</DL>
</DD>
</DL>
<HR>

<A NAME="toStringList()"><!-- --></A><H3>
toStringList</H3>
<PRE>
public java.lang.String <B>toStringList</B>()</PRE>
<DL>
<DD>Returns a string object representing this state list with a line feed
 as separator character.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>string representation of this state list.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../SysEquLin/EquLinNome.html" title="class in SysEquLin"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../SysEquLin/StateListBase.html" title="class in SysEquLin"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?SysEquLin/StateList.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="StateList.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
